<template>
  <NavBar/>
   <div class="alert alert-success" style="text-align: left;" role="alert">
  Nos Bieres : 
</div>
<GSCarousel
    :items="liste"
    item-gap="16"
    :items-to-show="2"
    :layout="GSLayoutDefault"
    :layout-props="{
      disableArrows: true,
    }"
  >
    <template #item="{ data }">
      <div class="slide">
        {{ data.type }}
      </div>
    </template>
  </GSCarousel>

  <section style="background-color: #eee;">

    <h4 class="text-center mb-5"><strong>Produits à l'affiche : </strong></h4>

 
 <div class="container">
  <div class="row">
    <div v-for="item in liste" :key="item.id" class="col-4">
        <div class="bg-image hover-zoom ripple shadow-1-strong rounded">
          <img src="{{toto}}
          "
               class="w-100" />
          <a href="#!">
            <div class="mask" style="background-color: rgba(0, 0, 0, 0.3);">
              <div class="d-flex justify-content-start align-items-start h-100">
                <h5><span class="badge bg-light pt-2 ms-3 mt-3 text-dark">{{item.name}}</span></h5>
              </div>
            </div>
            <div class="hover-overlay">
              <div class="mask" style="background-color: rgba(253, 253, 253, 0.15);"></div>
            </div>
          </a>
        </div>
    </div>
  </div>
</div>


     </section>



<div class="alert alert-secondary" style="text-align: left;" role="alert">
  Les degrées de bieres disponibles :
</div>
<GSCarousel
    :items="liste"
    item-gap="16"
    :items-to-show="1.5"
    :layout="GSLayoutDefault"
    :layout-props="{
      disableArrows: true,
    }"
  >
    <template #item="{ data }">
      <div class="slide">
        {{ data.degres }}
      </div>
    </template>
  </GSCarousel>
  <section style="background-color: #1E1E1E;">
  <div class="container py-5">
    <div class="row d-flex justify-content-center">
      <div class="col-md-9 col-lg-7 col-xl-5">
        <div class="card">
          <img src="https://pro2-bar-s3-cdn-cf.myportfolio.com/2ad0f30b6b0cd237e611316da03c12b7/17aeee00-e334-4221-8873-550e64be9693_rw_1920.jpg?h=cf41c114f295e953b0fc2641142d0a71"
            class="card-img-top" alt="Black Chair" />
          <div class="card-body">
            <div class="card-title d-flex justify-content-between mb-0">
              <p class="text-muted mb-0" style="color:red;">⭐⭐⭐L'offre du MOMENT: 4x PACK 12 Bières HEINEKEN ⭐⭐⭐ </p>
              <p class="mb-0">36€</p>
            </div>
          </div>
          <div class="rounded-bottom" style="background-color: #eee;">
            <div class="card-body">
              <p class="mb-4">Vos details de paiement :</p>

              <div class="form-outline mb-3">
                <input type="text" id="formControlLgXM8" class="form-control"
                  placeholder="1234 5678 1234 5678" />
                <label class="form-label" for="formControlLgXM8">Numero de carte</label>
              </div>

              <div class="row mb-3">
                <div class="col-6">
                  <div class="form-outline">
                    <input type="password" id="formControlLgExpk8" class="form-control"
                      placeholder="MM/AAAA" />
                    <label class="form-label" for="formControlLgExpk8">Expiration</label>
                  </div>
                </div>
                <div class="col-6">
                  <div class="form-outline">
                    <input type="password" id="formControlLgcvv8" class="form-control" placeholder="Cvv" />
                    <label class="form-label" for="formControlLgcvv8">CVV</label>
                  </div>
                </div>
              </div>

              <button class="btn btn-success btn-block">ACHETER MAINTENANT</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
  <section style="color: #000; background-color: #f3f2f2;">
  <div class="container py-5">
    <div class="row d-flex justify-content-center">
      <div class="col-md-10 col-xl-8 text-center">
        <h3 class="fw-bold mb-4">Nos Temoignages</h3>
        
        <p class="mb-4 pb-2 mb-md-5 pb-md-0">
          Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet
          numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum
          quisquam eum porro a pariatur veniam.
        </p>
      </div>
    </div>

    <div class="row text-center">
      <div class="col-md-4 mb-4 mb-md-0">
        <div class="card">
          <div class="card-body py-4 mt-2">
            <div class="d-flex justify-content-center mb-4">
              <img src="https://img.freepik.com/premium-photo/alcohol-addiction-drunk-man-drunk-guy-having-problem-from-alcohol-addiction-abuse-alcoholism-concept_265223-20065.jpg"
                class="rounded-circle shadow-1-strong" width="100" height="100" />
            </div>
            <h5 class="font-weight-bold">Hervé Renard</h5>
            <h6 class="font-weight-bold my-3">Artiste</h6>
            <ul class="list-unstyled d-flex justify-content-center">
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star-half-alt fa-sm text-info"></i>
              </li>
            </ul>
            <p class="mb-2">
              <i class="fas fa-quote-left pe-2"></i>Lorem ipsum dolor sit amet,
              consectetur adipisicing elit. Quod eos id officiis hic tenetur quae quaerat
              ad velit ab hic tenetur.
            </p>
          </div>
        </div>
      </div>
      <div class="col-md-4 mb-4 mb-md-0">
        <div class="card">
          <div class="card-body py-4 mt-2">
            <div class="d-flex justify-content-center mb-4">
              <img src="https://i1.sndcdn.com/artworks-000150288282-buvbs6-t500x500.jpg"
                class="rounded-circle shadow-1-strong" width="100" height="100" />
            </div>
            <h5 class="font-weight-bold">Renaud Tetaud</h5>
            <h6 class="font-weight-bold my-3">Chomeur</h6>
            <ul class="list-unstyled d-flex justify-content-center">
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
              <li>
                <i class="fas fa-star fa-sm text-info"></i>
              </li>
            </ul>
            <p class="mb-2">
              <i class="fas fa-quote-left pe-2"></i>Autem, totam debitis suscipit saepe
              sapiente magnam officiis quaerat necessitatibus odio assumenda perferendis
              labore laboriosam.
            </p>
          </div>
        </div>
      </div>
      <div class="col-md-4 mb-0">
        <div class="card">
          <div class="card-body py-4 mt-2">
            <div class="d-flex justify-content-center mb-4">
              <img src="https://media.istockphoto.com/photos/smiling-woman-holding-a-pint-of-beer-picture-id500173074?k=20&m=500173074&s=170667a&w=0&h=D_J0iWOqKyO3aI4wk931M4VqUo3Yy2ScNCTeFURl0dM="
                class="rounded-circle shadow-1-strong" width="100" height="100" />
            </div>
            <h5 class="font-weight-bold">Alexa Horwitz</h5>
            <h6 class="font-weight-bold my-3">Femme au foyer</h6>

            <p class="mb-2">
              <i class="fas fa-quote-left pe-2"></i>Cras sit amet nibh libero, in gravida
              nulla metus scelerisque ante sollicitudin commodo cras purus odio,
              vestibulum in tempus viverra turpis.
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<Footer/>
</template>


<style scoped>
.slide {
  box-shadow: 0 6px 15px -3px rgb(0 0 0/0.3);
  padding: 25px;
  border-radius: 5px;
  background: rgb(202, 202, 202);
  color: #000;
}
</style>
<script>
// @ is an alias to /src
import NavBar from "@/components/NavBar";
import Footer from "@/components/Footer";

import { GSCarousel, GSLayoutDefault } from 'gitart-scroll-carousel'
import 'gitart-scroll-carousel/dist/index.css'
import 'gitart-scroll-carousel/dist/GSArrow.css'
import 'gitart-scroll-carousel/dist/GSLayoutNumeric.css'
import ListeClass from "@/classes/ListeClass";
import PhotoClass from "@/classes/PhotoClass";

export default {
  name: 'HomeView',
  components: {
   GSCarousel,
   Footer,
    NavBar,
  }, setup() {
    return {
      items: [1,2,3,4,5],
      GSLayoutDefault,
      
    }},
    data(){
      return{
      liste : "",
      photo : Array,
      products : Array,
      listen : Array,
      
      };
    },
  async  created (){
  const response = await fetch("http://51.15.218.122:8082/api/product/");
  this.liste = await response.json();
  this.listen = this.liste.name;
 console.log (this.liste);
  const responsep = await fetch("http://51.15.218.122:8082/api/photo/"); 
  this.photo = await responsep.json();
  this.photo.forEach((value,index) => {
    this.liste.find(element=> element.id == value.idProduct).urlphotos.add(value.link);
    
  });
 
 


  
}
}
</script>
